/*
/// Colors
*/

/* Better colors for development
//-------------------------------------
*/

/* https://blog.jim-nielsen.com/2020/sass-color-functions-in-css/ */

:root {
  --base-color-hs: 220, 65%;
  --base-color: hsl(var(--base-color-hs), 50%);
  --base-color-light: hsl(var(--base-color-hs), 85%);
  --base-color-dark: hsl(var(--base-color-hs), 20%);
  --base-color-translucent: hsla(var(--base-color-hs), 50%, 0.5);
  /* set initial (main) HSL color values to use */
  --base-hue: 0;
  --base-sat: 65%;
  --base-light: 50%;
  --base-opacity: 1;
  --base-primary: 220;
  --base-secondary: calc(var(--base-primary) + 0);
  --base-red: var(--base-hue);
  --base-pink: calc(var(--base-hue) + 330);
  --base-grape: calc(var(--base-hue) + 300);
  --base-violet: calc(var(--base-hue) + 270);
  --base-indigo: calc(var(--base-hue) + 240);
  --base-blue: calc(var(--base-hue) + 210);
  --base-cyan: calc(var(--base-hue) + 180);
  --base-teal: calc(var(--base-hue) + 150);
  --base-green: calc(var(--base-hue) + 120);
  --base-lime: calc(var(--base-hue) + 90);
  --base-yellow: calc(var(--base-hue) + 60);
  --base-orange: calc(var(--base-hue) + 30);
  --color-primary-verylight: hsl(var(--base-primary), var(--base-sat), calc(var(--base-light) + var(--shader) * 2));
  --color-primary-light: hsl(var(--base-primary), var(--base-sat), calc(var(--base-light) + var(--shader)));
  --color-primary: hsl(var(--base-primary), var(--base-sat), var(--base-light));
  --color-primary-dark: hsl(var(--base-primary), var(--base-sat), calc(var(--base-light) - var(--shader)));
  --color-primary-verydark: hsl(var(--base-primary), var(--base-sat), calc(var(--base-light) - var(--shader) * 2));
  --color-secondary-verylight: hsl(var(--base-secondary), var(--base-sat), calc(var(--base-light) + var(--shader) * 2));
  --color-secondary-light: hsl(var(--base-secondary), var(--base-sat), calc(var(--base-light) + var(--shader)));
  --color-secondary: hsl(var(--base-secondary), var(--base-sat), var(--base-light));
  --color-secondary-dark: hsl(var(--base-secondary), var(--base-sat), calc(var(--base-light) - var(--shader)));
  --color-secondary-verydark: hsl(var(--base-secondary), var(--base-sat), calc(var(--base-light) - var(--shader) * 2));
  --color-gray-50: hsl(220 15% var(--l-98));
  --color-gray-100: hsl(220 14% var(--l-95));
  --color-gray-200: hsl(220 13% var(--l-90));
  --color-gray-300: hsl(220 12% var(--l-85));
  --color-gray-400: hsl(220 11% var(--l-65));
  --color-gray-500: hsl(220 10% var(--l-45));
  --color-gray-600: hsl(220 15% var(--l-35));
  --color-gray-700: hsl(220 20% var(--l-30));
  --color-gray-800: hsl(220 30% var(--l-20));
  --color-gray-900: hsl(220 40% var(--l-10));
  --text-color: var(--color-gray-700);
  --title-color: var(--color-gray-900);
  --background-color-gray: hsl(0 0% var(--l-95));
  --background-color-gray-dark: hsl(0 0% var(--l-90));
  --background-color-gray-verydark: hsl(0 0% var(--l-85));
  --shader: 23.5%;
  --l-0: 0;
  --l-10: 10%;
  --l-20: 20%;
  --l-25: 25%;
  --l-30: 30%;
  --l-35: 35%;
  --l-40: 40%;
  --l-45: 45%;
  --l-50: 50%;
  --l-65: 65%;
  --l-70: 70%;
  --l-75: 75%;
  --l-80: 80%;
  --l-85: 85%;
  --l-90: 90%;
  --l-95: 95%;
  --l-98: 98%;
  --l-100: 100%;
}

/*@media (prefers-color-scheme: dark) {
  :root {
    --shader: -26.5%;
    --base-light: 70%;
    --l-0: 100%;
    --l-10: 90%;
    --l-20: 80%;
    --l-25: 75%;
    --l-30: 70%;
    --l-35: 65%;
    --l-40: 60%;
    --l-45: 55%;
    --l-65: 35%;
    --l-70: 30%;
    --l-75: 25%;
    --l-80: 20%;
    --l-85: 15%;
    --l-90: 10%;
    --l-95: 5%;
    --l-98: 2%;
    --l-100: 0%;
  }
}


::-moz-selection {
  background: hsl(220 1% 90%);
}
::selection {
  background: hsl(220 13% 90%);
}

/* Border */

.border-gray-400 {
  border-color: var(--color-gray-400);
}
.border-gray-800 {
  border-color: var(--color-gray-800);
}

@media (hover: hover) {
  .hover\:border-gray-500:hover {
    border-color: var(--color-gray-500);
  }
}
